aboutsummaryrefslogtreecommitdiffstats
path: root/community/network-manager-applet/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-03-24 19:34:52 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-03-24 19:34:52 +0000
commit6dec91f48cc6136107985cc444729f4d2295e6f1 (patch)
tree150ca26953b8a9791d5cc46371751d001d63a5df /community/network-manager-applet/APKBUILD
parenta43872a644fca2fc4326714ebcedc8bfae74cc20 (diff)
downloadaports-6dec91f48cc6136107985cc444729f4d2295e6f1.tar.gz
aports-6dec91f48cc6136107985cc444729f4d2295e6f1.tar.bz2
aports-6dec91f48cc6136107985cc444729f4d2295e6f1.tar.xz
community/network-manager-applet: new aport
Diffstat (limited to 'community/network-manager-applet/APKBUILD')
-rw-r--r--community/network-manager-applet/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/community/network-manager-applet/APKBUILD b/community/network-manager-applet/APKBUILD
new file mode 100644
index 0000000000..a3d6286393
--- /dev/null
+++ b/community/network-manager-applet/APKBUILD
@@ -0,0 +1,51 @@
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=network-manager-applet
+pkgver=1.4.6
+pkgrel=0
+pkgdesc="GTK network manager applet"
+url="https://wiki.gnome.org/Projects/NetworkManager"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev
+
+ gtk+3.0-dev
+
+ jansson-dev
+ libsecret-dev
+ iso-codes-dev
+ polkit-dev
+ libgudev-dev
+ libgnome-keyring-dev
+ dbus-glib-dev
+ libnotify-dev
+ networkmanager-dev
+ modemmanager-dev
+ libmm-glib-dev
+ "
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://download.gnome.org/sources/network-manager-applet/1.4/network-manager-applet-$pkgver.tar.xz"
+builddir="$srcdir/network-manager-applet-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --with-modem-manager-1 \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="f0eab5c50739c2309fa19336e23ead6603dc953b62fff0600a91988df8d41c2f300c22ebd4d5be8654a3fd7bac38dacc23be149f1a7085f10bb55e1830d9472f network-manager-applet-1.4.6.tar.xz"